Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQCheckTableItem Class Reference
[table module]

The TQCheckTableItem class provides checkboxes in TQTables. More...

`#include <ntqtable.h>`

Inherits TQTableItem.

List of all member functions.

## Public Members

- TQCheckTableItem ( TQTable * table, const TQString & txt )
- virtual void setChecked ( bool b )
- bool isChecked () const
- virtual int rtti () const

## Detailed Description

The TQCheckTableItem class provides checkboxes in TQTables.

A TQCheckTableItem is a table item which looks and behaves like a checkbox. The advantage of using TQCheckTableItems rather than real checkboxes is that a TQCheckTableItem uses far less resources than a real checkbox would in a TQTable. When the cell has the focus it displays a real checkbox which the user can interact with. When the cell does not have the focus the cell looks like a checkbox. Pixmaps may not be used in TQCheckTableItems.

TQCheckTableItem items have the edit type WhenCurrent (see EditType).

To change the checkbox's label use setText(). The checkbox can be checked and unchecked with setChecked() and its state retrieved using isChecked().

To populate a table cell with a TQCheckTableItem use TQTable::setItem().

TQCheckTableItems can be distinguished from TQTableItems and TQComboTableItems using their Run Time Type Identification (rtti) value.

See also rtti(), EditType, TQComboTableItem, TQTableItem, TQCheckBox, and Advanced Widgets.

## Member Function Documentation

### TQCheckTableItem::TQCheckTableItem ( TQTable * table, const TQString & txt )

Creates a TQCheckTableItem with an EditType of WhenCurrent as a child of table. The checkbox is initially unchecked and its label is set to the string txt.

### bool TQCheckTableItem::isChecked () const

Returns TRUE if the checkbox table item is checked; otherwise returns FALSE.

See also setChecked().

### int TQCheckTableItem::rtti () const`[virtual]`

Returns 2.

Make your derived classes return their own values for rtti()to distinguish between different table item subclasses. You should use values greater than 1000, preferably a large random number, to allow for extensions to this class.

See also TQTableItem::rtti().

Reimplemented from TQTableItem.

### void TQCheckTableItem::setChecked ( bool b )`[virtual]`

If b is TRUE the checkbox is checked; if b is FALSE the checkbox is unchecked.

See also isChecked().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.